FROM mcr.microsoft.com/dotnet/core/aspnet:3.0-buster-slim AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/core/sdk:3.0-buster AS build
WORKDIR /src
COPY ["webapi-exemple-1.csproj", "./"]
RUN dotnet restore "webapi-exemple-1.csproj"
COPY . .
WORKDIR "/src/"
RUN dotnet build "webapi-exemple-1.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "webapi-exemple-1.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "webapi-exemple-1.dll"]
